Results 1 to 7 of 7

Thread: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

  1. #1
    Join Date
    Jun 2011
    Posts
    77

    libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    So I've been attempting to get OpenOffice to receive SCIM (and by enlargement, Japanese) enter under KDE for some time, with no mentionable achievement. Fixing the KDE augmentations from the openoffice.org-kde bundle makes it fully disregard SCIM hotkeys, and manually selecting dialects via the tray symbol doesn't update what elements are sent to OO.o. It works in all alternate projects, with the sole and just exemption being OpenOffice with the KDE developments. Supplanting the KDE augmentations with the Gnome ones (openoffice.org-elf bundle) makes SCIM work, but OpenOffice comes to be unusable. Every last trace of the symbols under the menu bar, go upon mouseover, for example.

    This just happens without the Gnome extensions.

    /opt/openoffice.org3/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/qt3/plugins/inputmethods/libqscim.so)
    GLIBCCX is identified with gcc, isn't it? Has it been arranged with an old version form of it? Could gathering it myself serve some useful purpose?

  2. #2
    Join Date
    Nov 2009
    Posts
    1,292

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    Well, situation fixed by in reality altering the framework to utilize scim in XIM-dependent systems. My /etc/X11/xinit/xinput.d/skim document, which was preferred to be alternative for /etc/alternatives/xinput-all_ALL, was inadequate. I didn't have the choice to prefer scim or scim-scaffold as a substitute. That feasible would've altered the issue straight-afar, following I just have scim instituted on the grounds that skim pulled it as a reliance.

    The top of said skim file read:
    • XIM=SCIM
    • XIM_PROGRAM=" "

    Doubtlessly, the recent line scared me, in consideration of all guides that I've perused declares to adjust scim or alternately scim-extension to state the accompanying:

    • XIM=SCIM
    • XIM_PROGRAM=/usr/bin/scim
    • XIM_ARGS="-d"
    • XIM_PROGRAM_SETS_ITSELF_AS_DAEMON=yes

    So I modified it thus, logged out, did a /etc/init.d/kdm restart, and everything now works.

  3. #3
    Join Date
    Nov 2009
    Posts
    1,269

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    The error message of mine is slightly different from yours:
    (soffice:8588): Gtk-WARNING **: /opt/openoffice.org3/program/../basis-link/ure-link/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so)

    (soffice:8588): Gtk-WARNING **: Loading IM context type 'scim' failed
    Probably that would be why your solution didn't work for me

  4. #4
    Join Date
    Nov 2008
    Posts
    1,185

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    Below is the method that works for me:

    • cd /opt/openoffice.org3/basis-link/ure-link/lib
    • sudo mv libstdc++.so.6 libstdc++.so.6.orig
    • sudo ln -s /usr/lib/libstdc++.so.6.0.9 libstdc++.so.6
    • sudo mv libgcc_s.so.1 libgcc_s.so.1.orig
    • sudo ln -s /lib/libgcc_s.so.1

    I Hope this helps those suffering from the same issue.

  5. #5
    Join Date
    Nov 2009
    Posts
    1,035

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    I thought by the error message that interfacing to the library in my /usr/lib catalog could work but the GLIBCXX_3.4.9 part of it made me dubious but the solution with renaming the records in the OO registry is positively clean.

  6. #6
    Join Date
    May 2008
    Posts
    859

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    The following is the error while running a simulation in Xilinx…

    • opt/Xilinx2/13.1/ISE_DS/ISE/bin/lin/ise
    • /usr/lib/firefox-4.0.1/firefox-bin: /opt/Xilinx2/13.1/ISE_DS/ISE//lib/lin/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/firefox-4.0.1/libxul.so)
    • /usr/lib/firefox-4.0.1/firefox-bin: /opt/Xilinx2/13.1/ISE_DS/ISE//lib/lin/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by /usr/lib/firefox-4.0.1/libxul.so)

    It was solved with this;

    • cd opt/Xilinx2/13.1/ISE_DS/ISE/lib/lin
    • sudo mv libstdc++.so.6 libstdc++.so.6.orig
    • sudo ln -s /usr/lib/libstdc++.so.6.0.14 libstdc++.so.6

  7. #7
    Join Date
    Apr 2009
    Posts
    1,107

    Re: libstdc++.so.6: Unable to find version ‘GLIBCXX_3.4.9’

    The commands
    • cd xilinx_path/ISE_DS/common/lib/lin64
    • sudo mv libstdc++.so.6 libstdc++.so.6.orig
    • sudo ln -s /usr/lib/libstdc++.so.6.0.14 libstdc++.so.6
    • also solved my problem.


    Following is the fix for the terminal
    • /usr/lib/firefox-5.0/firefox-bin: xilinx_path/ISE_DS/common/lib/lin64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/firefox-5.0/libxul.so)

Similar Threads

  1. Where to find XBMC for 64-bit version OS
    By YeNNa!R@$K^LA in forum MediaCenter
    Replies: 4
    Last Post: 20-03-2012, 12:15 AM
  2. Replies: 4
    Last Post: 22-01-2012, 11:52 AM
  3. Replies: 2
    Last Post: 07-01-2012, 11:50 AM
  4. libstdc++ support under Ubuntu
    By ShastriJI in forum Operating Systems
    Replies: 7
    Last Post: 25-09-2010, 08:57 PM
  5. Problem with libstdc++.so.5
    By _Gentoo_Nile_ in forum Operating Systems
    Replies: 3
    Last Post: 06-08-2009, 06:01 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Page generated in 1,675,771,413.43192 seconds with 17 queries